The ESAPI function for the TPM2_Load command.
Enhanced System API » Esys TPM Commands

## Functions

TSS2_RC | Esys_Load_Async (ESYS_CONTEXT *esysContext, ESYS_TR parentHandle, ESYS_TR shandle1, ESYS_TR shandle2, ESYS_TR shandle3, const TPM2B_PRIVATE *inPrivate, const TPM2B_PUBLIC *inPublic)
TSS2_RC | Esys_Load (ESYS_CONTEXT *esysContext, ESYS_TR parentHandle, ESYS_TR shandle1, ESYS_TR shandle2, ESYS_TR shandle3, const TPM2B_PRIVATE *inPrivate, const TPM2B_PUBLIC *inPublic, ESYS_TR *objectHandle)

## Detailed Description

ESAPI function to invoke the TPM2_Load command either as a one-call or in an asynchronous manner.

## Function Documentation

## Esys_Load()

TSS2_RC Esys_Load | ( | ESYS_CONTEXT * | esysContext,
|  | ESYS_TR | parentHandle,
|  | ESYS_TR | shandle1,
|  | ESYS_TR | shandle2,
|  | ESYS_TR | shandle3,
|  | const TPM2B_PRIVATE * | inPrivate,
|  | const TPM2B_PUBLIC * | inPublic,
|  | ESYS_TR * | objectHandle )

One-Call function for TPM2_Load

This function invokes the TPM2_Load command in a one-call variant. This means the function will block until the TPM response is available. All input parameters are const. The memory for non-simple output parameters is allocated by the function implementation.

Parameters

  [in,out] | esysContext | The ESYS_CONTEXT.
  [in] | parentHandle | TPM handle of parent key; shall not be a reserved handle.
  [in] | shandle1 | Session handle for authorization of parentHandle
  [in] | shandle2 | Second session handle.
  [in] | shandle3 | Third session handle.
  [in] | inPrivate | The private portion of the object.
  [in] | inPublic | The public portion of the object.
  [out] | objectHandle | ESYS_TR handle of ESYS resource for TPM2_HANDLE.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_ESYS_RC_BAD_REFERENCE | if the esysContext or required input pointers or required output handle references are NULL.
  TSS2_ESYS_RC_BAD_CONTEXT | if esysContext corruption is detected.
  TSS2_ESYS_RC_MEMORY | if the ESAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_ESYS_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_ESYS_RC_INSUFFICIENT_RESPONSE | if the TPM's response does not at least contain the tag, response length, and response code.
  TSS2_ESYS_RC_MALFORMED_RESPONSE | if the TPM's response is corrupted.
  TSS2_ESYS_RC_RSP_AUTH_FAILED | if the response HMAC from the TPM did not verify.
  TSS2_ESYS_RC_MULTIPLE_DECRYPT_SESSIONS | if more than one session has the 'decrypt' attribute bit set.
  TSS2_ESYS_RC_MULTIPLE_ENCRYPT_SESSIONS | if more than one session has the 'encrypt' attribute bit set.
  TSS2_ESYS_RC_BAD_TR | if any of the ESYS_TR objects are unknown to the ESYS_CONTEXT or are of the wrong type or if required ESYS_TR objects are ESYS_TR_NONE.
  TSS2_RCs | produced by lower layers of the software stack may be returned to the caller unaltered unless handled internally.

## Esys_Load_Async()

TSS2_RC Esys_Load_Async | ( | ESYS_CONTEXT * | esysContext,
|  | ESYS_TR | parentHandle,
|  | ESYS_TR | shandle1,
|  | ESYS_TR | shandle2,
|  | ESYS_TR | shandle3,
|  | const TPM2B_PRIVATE * | inPrivate,
|  | const TPM2B_PUBLIC * | inPublic )

Asynchronous function for TPM2_Load

This function invokes the TPM2_Load command in a asynchronous variant. This means the function will return as soon as the command has been sent downwards the stack to the TPM. All input parameters are const. In order to retrieve the TPM's response call Esys_Load_Finish.

Parameters

  [in,out] | esysContext | The ESYS_CONTEXT.
  [in] | parentHandle | TPM handle of parent key; shall not be a reserved handle.
  [in] | shandle1 | Session handle for authorization of parentHandle
  [in] | shandle2 | Second session handle.
  [in] | shandle3 | Third session handle.
  [in] | inPrivate | The private portion of the object.
  [in] | inPublic | The public portion of the object.

Return values

  ESYS_RC_SUCCESS | if the function call was a success.
  TSS2_ESYS_RC_BAD_REFERENCE | if the esysContext or required input pointers or required output handle references are NULL.
  TSS2_ESYS_RC_BAD_CONTEXT | if esysContext corruption is detected.
  TSS2_ESYS_RC_MEMORY | if the ESAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_RCs | produced by lower layers of the software stack may be returned to the caller unaltered unless handled internally.
  TSS2_ESYS_RC_MULTIPLE_DECRYPT_SESSIONS | if more than one session has the 'decrypt' attribute bit set.
  TSS2_ESYS_RC_MULTIPLE_ENCRYPT_SESSIONS | if more than one session has the 'encrypt' attribute bit set.
  TSS2_ESYS_RC_BAD_TR | if any of the ESYS_TR objects are unknown to the ESYS_CONTEXT or are of the wrong type or if required ESYS_TR objects are ESYS_TR_NONE.